import request from '@/utils/request'
	
/**
 * @Descripttion: 表格数据Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-11-22)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-11-22)
*/

// 表格数据分页查询列表
export function tableDataList(query) {
  return request({
    url: '/business/TableData/getTableDataList',
    method: 'get',
    params: query
  })
}

// 表格数据新增或修改
export function addOrUpdateTableData(data) {
  return request({
    url: '/business/TableData/addOrUpdateTableData',
    method: 'post',
    data: data,
  })
}

// 表格数据删除
export function delTableData(ids) {
  return request({
    url: '/business/TableData/'+ ids,
    method: 'delete'
  })
}

// 表格数据导出
export function exportTableData(query) {
  return request({
    url: 'business/TableData/exportTableData',
    method: 'get',
    params: query
  })
}

